import { BrowserPlugin } from '@snowplow/browser-tracker-core';
interface NavigatorUABrandVersion {
    brand: string;
    version: string;
}
interface UADataValues {
    platform: string;
    platformVersion: string;
    architecture: string;
    model: string;
    uaFullVersion: string;
}
declare global {
    interface Navigator {
        userAgentData: {
            mobile: boolean;
            brands: Array<NavigatorUABrandVersion>;
            getHighEntropyValues: (hints: Array<string>) => Promise<UADataValues>;
        };
    }
}
/**
 * Attaches Client Hint information where available
 * @param includeHighEntropy - Should high entropy values be included
 */
declare function ClientHintsPlugin(includeHighEntropy?: boolean): BrowserPlugin;
export { ClientHintsPlugin };
